#
# Makefile for SCO Unix 3.2v4.2 / SCO OpenServer 5
#
BINDIR=		/usr/bin
ETCDIR=		/etc
MANDIR=		/usr/man
MANEXT=		8
INSTALL=	./util/install

all:
	@ echo 'Use the "build" command (shell script) to make ftpd.'
	@ echo 'You can say "build help" for details on how it works.'

install: bin/ftpd bin/ftpcount bin/ftpshut
	-mv -f ${ETCDIR}/ftpd ${ETCDIR}/ftpd-old
	@echo installing binaries.
	${INSTALL} -c -o bin -g bin -m 711 bin/ftpd ${ETCDIR}/ftpd
	${INSTALL} -c -o bin -g bin -m 755 bin/ftpshut ${BINDIR}/ftpshut
	${INSTALL} -c -o bin -g bin -m 755 bin/ftpcount ${BINDIR}/ftpcount
	${INSTALL} -c -o bin -g bin -m 755 bin/ftpwho ${BINDIR}/ftpwho
	@echo installing manpages.
	${INSTALL} -d -o bin -g bin -m 755 ${MANDIR}/man.1
	${INSTALL} -d -o bin -g bin -m 755 ${MANDIR}/man.5
	${INSTALL} -d -o bin -g bin -m 755 ${MANDIR}/man.8
	${INSTALL} -c -o bin -g bin -m 644 doc/ftpd.8 ${MANDIR}/man.8/ftpd.8
	${INSTALL} -c -o bin -g bin -m 644 doc/ftpcount.1 ${MANDIR}/man.1/ftpcount.1
	${INSTALL} -c -o bin -g bin -m 644 doc/ftpwho.1 ${MANDIR}/man.1/ftpwho.1
	${INSTALL} -c -o bin -g bin -m 644 doc/ftpshut.8 ${MANDIR}/man.8/ftpshut.8
	${INSTALL} -c -o bin -g bin -m 644 doc/ftpaccess.5 ${MANDIR}/man.5/ftpaccess.5
	${INSTALL} -c -o bin -g bin -m 644 doc/ftphosts.5 ${MANDIR}/man.5/ftphosts.5
	${INSTALL} -c -o bin -g bin -m 644 doc/ftpconversions.5 ${MANDIR}/man.5/ftpconversions.5
	${INSTALL} -c -o bin -g bin -m 644 doc/xferlog.5 ${MANDIR}/man.5/xferlog.5
